---
title: Create an incident impact
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

# Create an incident impact{% #create-an-incident-impact %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/impacts |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/impacts |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/incidents/{incident_id}/impacts      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/incidents/{incident_id}/impacts      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/impacts  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/incidents/{incident_id}/impacts     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/impacts |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/impacts |

### Overview

Create an impact for an incident. This endpoint requires the `incident_write` permission.

OAuth apps require the `incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description               |
| ----------------------------- | ------ | ------------------------- |
| incident_id [*required*] | string | The UUID of the incident. |

#### Query Strings

| Name    | Type  | Description                                                           |
| ------- | ----- | --------------------------------------------------------------------- |
| include | array | Specifies which related resources should be included in the response. |

### Request

#### Body Data (required)

Incident impact payload.

{% tab title="Model" %}

| Parent field | Field                         | Type      | Description                                                            |
| ------------ | ----------------------------- | --------- | ---------------------------------------------------------------------- |
|              | data [*required*]        | object    | Incident impact data for a create request.                             |
| data         | attributes [*required*]  | object    | The incident impact's attributes for a create request.                 |
| attributes   | description [*required*] | string    | Description of the impact.                                             |
| attributes   | end_at                        | date-time | Timestamp when the impact ended.                                       |
| attributes   | fields                        | object    | An object mapping impact field names to field values.                  |
| attributes   | start_at [*required*]    | date-time | Timestamp when the impact started.                                     |
| data         | type [*required*]        | enum      | Incident impact resource type. Allowed enum values: `incident_impacts` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "Service was unavailable for external users",
      "end_at": "2025-08-29T13:17:00Z",
      "fields": {
        "customers_impacted": "all",
        "products_impacted": [
          "shopping",
          "marketing"
        ]
      },
      "start_at": "2025-08-28T13:17:00Z"
    },
    "type": "incident_impacts"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Response with an incident impact.

| Parent field          | Field                         | Type      | Description                                                            |
| --------------------- | ----------------------------- | --------- | ---------------------------------------------------------------------- |
|                       | data [*required*]        | object    | Incident impact data from a response.                                  |
| data                  | attributes                    | object    | The incident impact's attributes.                                      |
| attributes            | created                       | date-time | Timestamp when the impact was created.                                 |
| attributes            | description [*required*] | string    | Description of the impact.                                             |
| attributes            | end_at                        | date-time | Timestamp when the impact ended.                                       |
| attributes            | fields                        | object    | An object mapping impact field names to field values.                  |
| attributes            | impact_type                   | string    | The type of impact.                                                    |
| attributes            | modified                      | date-time | Timestamp when the impact was last modified.                           |
| attributes            | start_at [*required*]    | date-time | Timestamp representing when the impact started.                        |
| data                  | id [*required*]          | string    | The incident impact's ID.                                              |
| data                  | relationships                 | object    | The incident impact's resource relationships.                          |
| relationships         | created_by_user               | object    | Relationship to user.                                                  |
| created_by_user       | data [*required*]        | object    | Relationship to user object.                                           |
| data                  | id [*required*]          | string    | A unique identifier that represents the user.                          |
| data                  | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                      |
| relationships         | incident                      | object    | Relationship to incident.                                              |
| incident              | data [*required*]        | object    | Relationship to incident object.                                       |
| data                  | id [*required*]          | string    | A unique identifier that represents the incident.                      |
| data                  | type [*required*]        | enum      | Incident resource type. Allowed enum values: `incidents`               |
| relationships         | last_modified_by_user         | object    | Relationship to user.                                                  |
| last_modified_by_user | data [*required*]        | object    | Relationship to user object.                                           |
| data                  | id [*required*]          | string    | A unique identifier that represents the user.                          |
| data                  | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                      |
| data                  | type [*required*]        | enum      | Incident impact resource type. Allowed enum values: `incident_impacts` |
|                       | included                      | [object]  | Included related resources that the user requested.                    |
| included              | attributes                    | object    | Attributes of user object returned by the API.                         |
| attributes            | email                         | string    | Email of the user.                                                     |
| attributes            | handle                        | string    | Handle of the user.                                                    |
| attributes            | icon                          | string    | URL of the user's icon.                                                |
| attributes            | name                          | string    | Name of the user.                                                      |
| attributes            | uuid                          | string    | UUID of the user.                                                      |
| included              | id                            | string    | ID of the user.                                                        |
| included              | type                          | enum      | Users resource type. Allowed enum values: `users`                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created": "2025-08-29T13:17:00Z",
      "description": "Service was unavailable for external users",
      "end_at": "2025-08-29T13:17:00Z",
      "fields": {
        "customers_impacted": "all",
        "products_impacted": [
          "shopping",
          "marketing"
        ]
      },
      "impact_type": "customer",
      "modified": "2025-08-29T13:17:00Z",
      "start_at": "2025-08-28T13:17:00Z"
    },
    "id": "00000000-0000-0000-1234-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident": {
        "data": {
          "id": "00000000-0000-0000-1234-000000000000",
          "type": "incidents"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incident_impacts"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export incident_id="CHANGE_ME" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/incidents/${incident_id}/impacts" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Service was unavailable for external users",
      "end_at": "2025-08-29T13:17:00Z",
      "fields": {
        "customers_impacted": "all",
        "products_impacted": [
          "shopping",
          "marketing"
        ]
      },
      "start_at": "2025-08-28T13:17:00Z"
    },
    "type": "incident_impacts"
  }
}
EOF 
                
##### 

```python
"""
Create an incident impact returns "CREATED" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi
from datadog_api_client.v2.model.incident_impact_create_attributes import IncidentImpactCreateAttributes
from datadog_api_client.v2.model.incident_impact_create_data import IncidentImpactCreateData
from datadog_api_client.v2.model.incident_impact_create_request import IncidentImpactCreateRequest
from datadog_api_client.v2.model.incident_impact_type import IncidentImpactType
from datetime import datetime
from dateutil.tz import tzutc

# there is a valid "incident" in the system
INCIDENT_DATA_ID = environ["INCIDENT_DATA_ID"]

body = IncidentImpactCreateRequest(
    data=IncidentImpactCreateData(
        type=IncidentImpactType.INCIDENT_IMPACTS,
        attributes=IncidentImpactCreateAttributes(
            start_at=datetime(2025, 9, 12, 13, 50, tzinfo=tzutc()),
            end_at=datetime(2025, 9, 12, 14, 50, tzinfo=tzutc()),
            description="Outage in the us-east-1 region",
        ),
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_incident_impact"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.create_incident_impact(incident_id=INCIDENT_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Create an incident impact returns "CREATED" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_incident_impact".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new

# there is a valid "incident" in the system
INCIDENT_DATA_ID = ENV["INCIDENT_DATA_ID"]

body = DatadogAPIClient::V2::IncidentImpactCreateRequest.new({
  data: DatadogAPIClient::V2::IncidentImpactCreateData.new({
    type: DatadogAPIClient::V2::IncidentImpactType::INCIDENT_IMPACTS,
    attributes: DatadogAPIClient::V2::IncidentImpactCreateAttributes.new({
      start_at: "2025-09-12T13:50:00.000Z",
      end_at: "2025-09-12T14:50:00.000Z",
      description: "Outage in the us-east-1 region",
    }),
  }),
})
p api_instance.create_incident_impact(INCIDENT_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Create an incident impact returns "CREATED" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"
	"time"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "incident" in the system
	IncidentDataID := os.Getenv("INCIDENT_DATA_ID")

	body := datadogV2.IncidentImpactCreateRequest{
		Data: datadogV2.IncidentImpactCreateData{
			Type: datadogV2.INCIDENTIMPACTTYPE_INCIDENT_IMPACTS,
			Attributes: datadogV2.IncidentImpactCreateAttributes{
				StartAt:     time.Date(2025, 9, 12, 13, 50, 0, 0, time.UTC),
				EndAt:       *datadog.NewNullableTime(datadog.PtrTime(time.Date(2025, 9, 12, 14, 50, 0, 0, time.UTC))),
				Description: "Outage in the us-east-1 region",
			},
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateIncidentImpact", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.CreateIncidentImpact(ctx, IncidentDataID, body, *datadogV2.NewCreateIncidentImpactOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.CreateIncidentImpact`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.CreateIncidentImpact`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Create an incident impact returns "CREATED" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.IncidentImpactCreateAttributes;
import com.datadog.api.client.v2.model.IncidentImpactCreateData;
import com.datadog.api.client.v2.model.IncidentImpactCreateRequest;
import com.datadog.api.client.v2.model.IncidentImpactResponse;
import com.datadog.api.client.v2.model.IncidentImpactType;
import java.time.OffsetDateTime;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createIncidentImpact", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    // there is a valid "incident" in the system
    String INCIDENT_DATA_ID = System.getenv("INCIDENT_DATA_ID");

    IncidentImpactCreateRequest body =
        new IncidentImpactCreateRequest()
            .data(
                new IncidentImpactCreateData()
                    .type(IncidentImpactType.INCIDENT_IMPACTS)
                    .attributes(
                        new IncidentImpactCreateAttributes()
                            .startAt(OffsetDateTime.parse("2025-09-12T13:50:00.000Z"))
                            .endAt(OffsetDateTime.parse("2025-09-12T14:50:00.000Z"))
                            .description("Outage in the us-east-1 region")));

    try {
      IncidentImpactResponse result = apiInstance.createIncidentImpact(INCIDENT_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#createIncidentImpact");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Create an incident impact returns "CREATED" response
use chrono::{DateTime, Utc};
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::CreateIncidentImpactOptionalParams;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
use datadog_api_client::datadogV2::model::IncidentImpactCreateAttributes;
use datadog_api_client::datadogV2::model::IncidentImpactCreateData;
use datadog_api_client::datadogV2::model::IncidentImpactCreateRequest;
use datadog_api_client::datadogV2::model::IncidentImpactType;

#[tokio::main]
async fn main() {
    // there is a valid "incident" in the system
    let incident_data_id = std::env::var("INCIDENT_DATA_ID").unwrap();
    let body = IncidentImpactCreateRequest::new(IncidentImpactCreateData::new(
        IncidentImpactCreateAttributes::new(
            "Outage in the us-east-1 region".to_string(),
            DateTime::parse_from_rfc3339("2025-09-12T13:50:00+00:00")
                .expect("Failed to parse datetime")
                .with_timezone(&Utc),
        )
        .end_at(Some(
            DateTime::parse_from_rfc3339("2025-09-12T14:50:00+00:00")
                .expect("Failed to parse datetime")
                .with_timezone(&Utc),
        )),
        IncidentImpactType::INCIDENT_IMPACTS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateIncidentImpact", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .create_incident_impact(
            incident_data_id.clone(),
            body,
            CreateIncidentImpactOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Create an incident impact returns "CREATED" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createIncidentImpact"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

// there is a valid "incident" in the system
const INCIDENT_DATA_ID = process.env.INCIDENT_DATA_ID as string;

const params: v2.IncidentsApiCreateIncidentImpactRequest = {
  body: {
    data: {
      type: "incident_impacts",
      attributes: {
        startAt: new Date(2025, 9, 12, 13, 50, 0, 0),
        endAt: new Date(2025, 9, 12, 14, 50, 0, 0),
        description: "Outage in the us-east-1 region",
      },
    },
  },
  incidentId: INCIDENT_DATA_ID,
};

apiInstance
  .createIncidentImpact(params)
  .then((data: v2.IncidentImpactResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
